Subject: [os2genau_digest] No. 1905
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Thu, 14 Jan 2010 00:00:14 EST-10EDT,10,1,0,7200,4,1,0,7200,3600

**************************************************
Wednesday 13 January 2010
 Number  1905
**************************************************

Subjects for today
 
1  Re:  PC problems : Alan Duval <amoht at westnet dot com dot au>

**= Email   1 ==========================**

Date:  Wed, 13 Jan 2010 09:04:45 +1000
From:  Alan Duval <amoht at westnet dot com dot au>
Subject:  Re:  PC problems

Chuck McKinnis wrote:
> Ed Durrant wrote:
>> Alan Duval wrote:
>>>
>>> Has anyone installed Linux on the same disk as ECS and been able to 
>>> dual boot?
>>> If I can do this I would then install Virtual Box in Linux and 
>>> install WIN XP in it as I only occasionally use WIN XP.
>>>
>>> Regards,
>>>
>>> Alan Duval
>>>
>> well I added eComStation to my ASUS EeePC 700 netbook (which runs a 
>> custom form of Linux) and boot manager and I can dual boot.
>>
>> I think the key point might be to install Linux first, then boot 
>> manager and then eCS.
>>
>>
>
> This is coming at you from a T61 with eCS 2.0RC7, WinXP, and Ubuntu 
> installed.
>
Hi Chuck,

What procedure did you follow to put those 3 operating systems on your 
computer?
I have tried to put eCS2.0RC7 and windows on my PC and keep 
failing.....Well not completely! as I once had them on and able to boot 
to either but then had to wipe the disk to rearrange the partitions and 
must be doing something different since as I can't now.
I should have written down what I did. As far as I can remember the 
procedure I followed was:

1.   Wiped the disk
2.   Used eCS to create partitions:
      Primary for Ubuntu
      Logical for eCS
      5 logical partitions for ecs APPS and Data
      1 logical partition for Linux swap
      1 logical partition for Linux Home
      1 logical partition for Linux to install virtual OS's
3.   I then installed Ubuntu
4.   I then installed eCS
5.   I then installed Bootmanager and added both Ubuntu and eCS to the menu
6.   Boot manager could open eCs but not Ubuntu
7.   Then booted Ubuntu live disk opened a terminal and typed in   "sudo 
grub"  then typed in the following commands in sequence:
       - root (hd0,0)
       - setup (hd0)
       - quit
       - exit

That enabled me to open Ubuntu with Bootmanager and also eCS , but it 
doesn't now that I have followed this procedure.
I have tried other Partition layouts e.g. making primary partitions for 
both Ubuntu and eCS and installing Boot manager before making partitions 
but nothing seems to work so I'd be grateful for detailed advice as to 
what to do.

Regards,

Alan
--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===